getCloudMongoDbUserList

Prev Next

Available in VPC

Get the list of Cloud DB for MongoDB instance DB users.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vmongodb/v2/getCloudMongoDbUserList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for MongoDB instance to view
  • See getRegionList
  • First Region of the getRegionList query result (default)
cloudMongoDbInstanceNo String Required Instance number of Cloud DB for MongoDB
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getCloudMongoDbUserList
?regionCode=KR
&cloudMongoDbInstanceNo=2512****
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See CloudMongoDbUserList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json

    {
        "getCloudMongoDbUserListResponse": {
            "totalRows": 1,
            "cloudMongoDbUserList": [
                {
                    "userName": "user000",
                    "databaseName": "db000",
                    "authority": "READ"
                }
            ],
            "requestId": "ca331f33-****-****-****-a46e4afd3113",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudMongoDbUserListResponse>
        <requestId>ca331f33-****-****-****-a46e4afd3113</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudMongoDbUserList>
            <cloudMongoDbUser>
                <userName>user000</userName>
                <databaseName>db000</databaseName>
                <authority>READ</authority>
            </cloudMongoDbUser>
        </cloudMongoDbUserList>
    </getCloudMongoDbUserListResponse>